description: >
    Implement to provide information on the condition of the host firmware.
    The expectation is the implementer of this interface utilize their host
    protocol (IPMI, PLDM, ...) to check the state of the host firmware running
    on the system.

properties:
    - name: CurrentFirmwareCondition
      type: enum[self.FirmwareCondition]
      default: 'Unknown'
      description: >
          The current condition of the host

enumerations:
    - name: FirmwareCondition
      description: >
        The current condition of the host firmware
      values:
        - name: 'Unknown'
          description: >
            The condition of the host firmware is unknown
        - name: 'Off'
          description: >
            Host firmware is not responsive to communication
        - name: 'Running'
          description: >
            Host firmware is running and responsive to communication
